summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-08-24 12:08:44 +0200
committerJustin Lecher <jlec@gentoo.org>2015-08-24 12:12:14 +0200
commitf88a12e183dfb88efcf54ce721c1542d3701de72 (patch)
treee28c54419bf76feba2c477f81046c48a466f7d49
parentdev-python/pip: Version Bump (diff)
downloadgentoo-f88a12e183dfb88efcf54ce721c1542d3701de72.tar.gz
gentoo-f88a12e183dfb88efcf54ce721c1542d3701de72.tar.bz2
gentoo-f88a12e183dfb88efcf54ce721c1542d3701de72.zip
dev-python/xlrd: Version Bump
Package-Manager: portage-2.2.20.1 Signed-off-by: Justin Lecher <jlec@gentoo.org>
-rw-r--r--dev-python/xlrd/Manifest1
-rw-r--r--dev-python/xlrd/xlrd-0.9.4.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/xlrd/Manifest b/dev-python/xlrd/Manifest
index 37dcff2333b..354c6bc9946 100644
--- a/dev-python/xlrd/Manifest
+++ b/dev-python/xlrd/Manifest
@@ -1 +1,2 @@
DIST xlrd-0.9.3.tar.gz 178490 SHA256 933a35e27da7ed7712985486b53b5cfb8dd88e076e2a0bd531373d0001d2939c SHA512 8b1480b1b0eb40435c33e6494e3f1c960d97a4e5a7f5a30d1b418485a88e4c6d2721501646eb129d9fce0bcd775aee50b866807b26da77b5c2d35d977bb247d0 WHIRLPOOL fcfb06859d79e8695d04504cf7e0a7e1eefaca856605f5ca5ae4d36073bdb67759e1edf6c0208ce726090ff63c6ad47f3daa7b783c38397be39ed5400c20c7ab
+DIST xlrd-0.9.4.tar.gz 322945 SHA256 8e8d3359f39541a6ff937f4030db54864836a06e42988c452db5b6b86d29ea72 SHA512 61d21a6b0bf5a72f75b98f6a62245fd2d0d8b091b56f31cd39e83ff0d68edba5370f81b50020f6ac52d08b0b49c0920bf44661d8501ecbde5baee7d991037a6d WHIRLPOOL ffc39dcc31223d1d011a067ad309f56866bef278e7e0fba6c9b626b33d437e70316a1492af3cc161619967094f08db39cb312d3a99083d7283162abfad5da611
diff --git a/dev-python/xlrd/xlrd-0.9.4.ebuild b/dev-python/xlrd/xlrd-0.9.4.ebuild
new file mode 100644
index 00000000000..f187923abde
--- /dev/null
+++ b/dev-python/xlrd/xlrd-0.9.4.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Library for developers to extract data from Microsoft Excel (tm) spreadsheet files"
+HOMEPAGE="
+ http://www.python-excel.org/
+ https://github.com/python-excel/xlrd/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~ppc-aix ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.9.3-column.patch )
+
+python_prepare_all() {
+ # Remove this if examples get reintroduced
+ sed -i -e "s/test_names_demo/_&/" tests/test_open_workbook.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ "${PYTHON}" -m unittest discover || die "Test failed with ${EPYTHON}"
+}